WebScrapingAPI Docs
Marketplace APIsAmazon Search APIAmazon Search TypesAmazon Seller

Amazon Seller Profile

Scrape seller profile details for a single seller on Amazon.

Amazon Seller Profile

Scrape seller profile details for a single seller on Amazon.

To enable this feature, set the type=seller_profile parameter.

The Amazon Seller Profile feature should be used when scraping profile information from a seller. This feature returns a JSON object with seller profile details. Among other useful information, the main keys included in the JSON object are:

  • seller_details
  • feedback
  • feedback_summary

Amazon Seller Profile Parameters

The Amazon Seller Profile feature only takes one specific parameter:

ParameterRequiredTypeDescription
seller_id✅stringThe ID of an Amazon seller.

Your full GET request should then be sent to the following address:

https://ecom.webscrapingapi.com/v1?engine=amazon&api_key=<YOUR_API_KEY>&type=seller_profile&seller_id=AAZRLVTNON75Z

Amazon Seller Profile Integration Examples

curl --get "https://ecom.webscrapingapi.com/v1" \
  --data-urlencode "engine=amazon" \
  --data-urlencode "api_key=<YOUR_API_KEY>" \
  --data-urlencode "type=seller_profile" \
  --data-urlencode "seller_id=AAZRLVTNON75Z"
const API_KEY = "<YOUR_API_KEY>";
const SCRAPER_URL = "https://ecom.webscrapingapi.com/v1";

const params = new URLSearchParams({
  engine: "amazon",
  api_key: API_KEY,
  type: "seller_profile",
  seller_id: "AAZRLVTNON75Z",
});

const response = await fetch(`${SCRAPER_URL}?${params}`);
const data = await response.text();

console.log(data);
import requests

API_KEY = "<YOUR_API_KEY>"
SCRAPER_URL = "https://ecom.webscrapingapi.com/v1"

PARAMS = {
    "engine": "amazon",
    "api_key": API_KEY,
    "type": "seller_profile",
    "seller_id": "AAZRLVTNON75Z",
}

response = requests.get(SCRAPER_URL, params=PARAMS)

print(response.text)
<?php

$apiKey = '<YOUR_API_KEY>';
$scraperUrl = 'https://ecom.webscrapingapi.com/v1';

$query = http_build_query([
    'engine' => 'amazon',
    'api_key' => $apiKey,
    'type' => 'seller_profile',
    'seller_id' => 'AAZRLVTNON75Z',
]);

$response = file_get_contents("{$scraperUrl}?{$query}");

echo $response;
package main

import (
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    apiKey := "<YOUR_API_KEY>"
    baseURL := "https://ecom.webscrapingapi.com/v1"

    params := url.Values{}
    params.Add("engine", "amazon")
    params.Add("api_key", apiKey)
    params.Add("type", "seller_profile")
    params.Add("seller_id", "AAZRLVTNON75Z")

    req, _ := http.NewRequest("GET", baseURL+"?"+params.Encode(), nil)
    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()

    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        String apiKey = "<YOUR_API_KEY>";
        String url = "https://ecom.webscrapingapi.com/v1"
    + "?engine=amazon"
    + "&api_key=" + apiKey
    + "&type=seller_profile"
    + "&seller_id=AAZRLVTNON75Z";

        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .GET()
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient().send(
            request,
            HttpResponse.BodyHandlers.ofString()
        );

        System.out.println(response.body());
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var apiKey = "<YOUR_API_KEY>";
        var url = "https://ecom.webscrapingapi.com/v1"
    + "?engine=amazon"
    + "&api_key=" + apiKey
    + "&type=seller_profile"
    + "&seller_id=AAZRLVTNON75Z";

        using var client = new HttpClient();
        var response = await client.GetAsync(url);
        var body = await response.Content.ReadAsStringAsync();

        Console.WriteLine(body);
    }
}
require "net/http"
require "uri"

api_key = "<YOUR_API_KEY>"
uri = URI("https://ecom.webscrapingapi.com/v1")
uri.query = URI.encode_www_form({
  engine: "amazon",
  api_key: api_key,
  type: "seller_profile",
  seller_id: "AAZRLVTNON75Z",
})

response = Net::HTTP.get_response(uri)

puts response.body

Response example

{
  "search_parameters": {
    "amazon_url": "https://www.amazon.com/sp?seller=AAZRLVTNON75Z",
    "engine": "amazon",
    "amazon_domain": "amazon.com",
    "device": "desktop",
    "type": "seller_profile",
    "seller_id": "AAZRLVTNON75Z"
  },
  "search_information": {
    "organic_results_state": "Results for exact spelling"
  },
  "seller_profile": {
    "seller_details": {
      "name": "Triplenet Pricing INC",
      "store_link": "https://www.amazon.com/s?me=AAZRLVTNON75Z",
      "rating": 4,
      "ratings_total": 4078,
      "ratings_positive_percentage": 74
    },
    "feedback": [
      {
        "rating": 5,
        "body": "Great service",
        "rater": "By Sarah M. on July 24, 2023."
      }
    ],
    "feedback_summary": [
      {
        "positive_percent": 75,
        "neutral_percent": 1,
        "negative_percent": 24,
        "count": 366
      }
    ]
  }
}

Scraping Amazon Seller Profile Page

On this page